Support » Plugin: Japanized For WooCommerce » 更新後致命的なエラー

  • Resolved powercube01

    (@powercube01)


    2.2.10に今朝更新したところ

    このプラグインは正常なロードに失敗したため、リカバリーモード中に一時停止されました。

    エラータイプ E_PARSE が /home/xxxxxx/xxxxxxjp/public_html/wp-content/plugins/woocommerce-for-japan/includes/admin/class-jp4wc-admin-screen.php ファイルの 19 行目で発生しました。 エラーメッセージ: syntax error, unexpected ‘array’ (T_ARRAY), expecting function (T_FUNCTION) or const (T_CONST)

    と表示され動作しなくなりました。 早急に修正をお願いします

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author shohei.tanaka

    (@shoheitanaka)

    @powercube01 ご連絡ありがとうございます。
    PHP7.3以下のバージョンをご利用ではないでしょうか?
    先程、2.2.11にて対応バージョンをリリースしました。
    ご確認頂ければ幸いです。

    PHP 7.3.16を使用していても同様なエラーが出ます

    Thread Starter powercube01

    (@powercube01)

    早急な対応ありがとうございます。
    PHP7.3.16で利用中でした。 PHP7.4.4に変更した所 2.2.10でもエラーは出ませんでした
    当方は 7.4系でも支障はないので、そのまま 7.4に移行の上 2.2.11への更新も行いました

    有り難うございました

    Plugin Author shohei.tanaka

    (@shoheitanaka)

    @powercube01 @hisakato さん、ご確認ありがとうございます。

    7.3以下となりますので、PHP7.3.16でもエラーが発生致します。
    @powercube01 さんのご提示頂きました通り、PHP7.4以上では発生していないはずです。

    @powercube01 さんの通り、もしこの機会にPHP7.4で問題なければアップデートされることをお勧めします。

    ご確認のほど、よろしくお願い致します。

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.